/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986,1987
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
 # $Header:ptrace.c 12.0$
 # $ACIS:ptrace.c 12.0$
 # $Source: /ibm/acis/usr/src/lib/libc/ca/sys/RCS/ptrace.c,v $
#include "SYS.h"
SYSCODE(ptrace)
	SVC(ptrace)
	get	r5,$_errno
	lis	r0,0
	bntbrx	r15		#no error detected
	sts	r0,0(r5)

	sts	r2,0(r5)	#update error number
	get	r2,$-1
	br	r15	#return to caller
	TTNOFRM
